/*
 * @(#)src/classes/sov/com/ibm/jvm/dump/CommandPluginResponse.java, ras, dumpviewer 1.7
 * ===========================================================================
 * IBM Confidential
 * OCO Source Materials
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001.
 * The source code for this program is not published or otherwise divested of
 * its trade secrets, irrespective of what has been deposited with the U.S.
 * Copyright office.
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 *
 *
 * ===========================================================================
 * Change activity:
 *
 * Reason  Date   Origin  Description
 * ------  ----   ------  ----------------------------------------------------
 * 36524  020502  philr   New for feature 36524
 * 36524  200502  philr   Upgraded to be Observable....
 *
 * ===========================================================================
 * Module Information:
 *
 * DESCRIPTION:
 * ===========================================================================
 */

package com.ibm.jvm.dump;


import java.util.*;

 /**
  *  Description: Whats the purpose of this class
  *
  *
  *
  *
  *
  */
public class CommandPluginResponse extends Observable {


  private DvDump dump_return = null; // used by SET DUMP



 /**
  *   <p>Description:
  *   </p>
  *   <p>Input      :
  *   </p>
  *   <p>Returned   :
  *   </p>
  */
  public CommandPluginResponse()
  {
     super();
  }


 /**
  *   <p>Description:
  *   </p>
  *   <p>Input      :
  *   </p>
  *   <p>Returned   :
  *   </p>
  */
  public void setDumpReturned(DvDump x) { dump_return = x; }

 /**
  *   <p>Description:
  *   </p>
  *   <p>Input      :
  *   </p>
  *   <p>Returned   :
  *   </p>
  */
  public DvDump getDumpReturned() { return dump_return; }



 /**
  *   <p>Description:
  *   </p>
  *   <p>Input      :
  *   </p>
  *   <p>Returned   :
  *   </p>
  */
  public void output(Object o) {

   setChanged();
   notifyObservers(o);

  }

}
