/*
 * @(#)src/classes/sov/com/ibm/jvm/dump/DVExitListener.java, ras, dumpviewer 1.5
 * ===========================================================================
 * IBM Confidential
 * OCO Source Materials
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001.
 * The source code for this program is not published or otherwise divested of
 * its trade secrets, irrespective of what has been deposited with the U.S.
 * Copyright office.
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 *
 *
 * ===========================================================================
 * Change activity:
 *
 * Reason Date   Origin   Description
 * ------ ----   ------   ----------------------------------------------------
 * 36524  020502 PHILR:   New for feature 36524
 * 36524  220702 mpartrid Added file history.
 *
 * ===========================================================================
 * Module Information:
 *
 * DESCRIPTION:
 * ===========================================================================
 */
package com.ibm.jvm.dump;


import java.awt.*;
import java.awt.event.*;

 /**
  *  Description: Whats the purpose of this class
  *
  *
  *
  *
  *
  */
public class DVExitListener extends WindowAdapter {

  DvFileHistory history;        // File History object.

  public DVExitListener( DvFileHistory fileHistory )
  {
      super();
      history = fileHistory;
  }

  public void windowClosing(WindowEvent event) {
    doTerminationCode();
  }

 /**
  *   <p>Description:
  *   </p>
  *   <p>Input      :
  *   </p>
  *   <p>Returned   :
  *   </p>
  */
  public void doTerminationCode() {
     // lots of stuff to go in here....
     // asking are you sure .... workspace saving etc....

     history.saveHistoryEntries(); // Save pathname entries for next session.

     System.exit(0);
  }
}

