  /*
 * @(#)src/classes/sov/com/ibm/jvm/dump/DvMemoryFind.java, ras, dumpviewer 1.1
 * ===========================================================================
 * IBM Confidential
 * OCO Source Materials
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001.
 * The source code for this program is not published or otherwise divested of
 * its trade secrets, irrespective of what has been deposited with the U.S.
 * Copyright office.
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 *
 *
 * ===========================================================================
 * Change activity:
 *
 * Reason  Date   Origin   Description
 * ------  ----   ------   ----------------------------------------------------
 * 36524  180502  mpartrid New for feature 36524

 *
 * ===========================================================================
 * Module Information:
 *
 * DESCRIPTION: DvMemoryFind Class
 * ===========================================================================
 */

package com.ibm.jvm.dump;

 /**
  *  Description: This class holds all te information required to do a 'find'
  *               in memory.
  *
  */
public class DvMemoryFind  {

    String findText;            // String to find.
    String startAddress;        // Address to start search from.
    String finishAddress;       // Address to finish search at.
    int displayBytes;           // The number of bytes to display.
    int byteBoundary;           // Byte boundary to search on.
    int occurences;             // Occurences of string to search for.

    public DvMemoryFind()
    {
        // Setup default values for fields.

        findText      = "";
        startAddress  = "";
        finishAddress = "";
        displayBytes  = 255;
        byteBoundary  = 1;
        occurences    = 1;
    }
}

