/*
 * @(#)src/classes/sov/com/ibm/jvm/dump/DvTypeCodes.java, ras, dumpviewer 1.2
 * ===========================================================================
 * IBM Confidential
 * OCO Source Materials
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001.
 * The source code for this program is not published or otherwise divested of
 * its trade secrets, irrespective of what has been deposited with the U.S.
 * Copyright office.
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 *
 *
 * ===========================================================================
 * Change activity:
 *
 * Reason  Date   Origin  Description
 * ------  ----   ------  ----------------------------------------------------
 * 36524  200502  hdrc    New for feature 36524
 *
 * ===========================================================================
 * Module Information:
 *
 * DESCRIPTION:
 * ===========================================================================
 */

package com.ibm.jvm.dump;

/**
 *
 */
public class DvTypeCodes{

    public static final int OBJ_IsArray = 2;
    public static final int OBJ_HashedAndMoved = 4;
    public static final int OBJ_Hashed = 1;

    public static final int OBJ_TYPECODE = 5;
    public static final int OBJ_TYPECODE_SHIFT = 3;
    public static final int OBJ_TYPECODE_MASK = 31;

    public static final int T_CHAR = 5;
    public static final int T_BOOLEAN = 4;
    public static final int T_FLOAT = 6;
    public static final int T_DOUBLE = 7;
    public static final int T_BYTE = 8;
    public static final int T_SHORT = 9;
    public static final int T_INT = 10;
    public static final int T_UINTEGER = 12;
    public static final int T_LONG = 11;
    public static final int T_CLASS = 2;
    public static final int T_NORMAL_OBJECT = 0;

}
