/*
 * @(#)src/classes/sov/com/ibm/jvm/dump/DvifmFrame.java, ras, dumpviewer 1.7
 * ===========================================================================
 * IBM Confidential
 * OCO Source Materials
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001.
 * The source code for this program is not published or otherwise divested of
 * its trade secrets, irrespective of what has been deposited with the U.S.
 * Copyright office.
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 *
 *
 * ===========================================================================
 * Change activity:
 *
 * Reason  Date   Origin  Description
 * ------  ----   ------  ----------------------------------------------------
 * 36524  020502 PHILR:  New for feature 36524

 *
 * ===========================================================================
 * Module Information:
 *
 * DESCRIPTION:
 * ===========================================================================
 */

package com.ibm.jvm.dump;

import javax.swing.*;

 /**
  *  Description: Whats the purpose of this class
  *
  *
  *
  *
  *
  */
 class DvifmFrame {

   public JInternalFrame iframe;
   public JScrollPane pane;
   public JSplitPane splitpane;

   public int iframeType;

   public int iframeParent; // who's considered the parent of this window.....
   public int iframeProperties;   // what is supported by this



   public JTable jtable;
   public JTextArea jtext;
   public JTree jtree;
   public String iframeTitle;
   public JPanel mainPanel;  
   public JPanel jButtonPanel;          // Panel to hold buttons for a frame.

 /**
  *   <p>Description:
  *   </p>
  *   <p>Input      :
  *   </p>
  *   <p>Returned   :
  *   </p>
  */
   public DvifmFrame(String title, int properties, int frametype) {


      boolean isRESIZEABLE = false;
      boolean isCLOSEABLE  = false;
      boolean isMAXIMIZEABLE = false;
      boolean isICONIFIABLE = false;

      int p = properties;
      if (p >= DvConstants.FRAME_IS_ICONIFIABLE) {
        isICONIFIABLE = true;
        p = p - DvConstants.FRAME_IS_ICONIFIABLE;
      }
      if (p >= DvConstants.FRAME_IS_MAXIMIZEABLE) {
        isMAXIMIZEABLE = true;
        p = p - DvConstants.FRAME_IS_MAXIMIZEABLE;
      }
      if (p >= DvConstants.FRAME_IS_CLOSEABLE) {
        isCLOSEABLE = true;
        p = p - DvConstants.FRAME_IS_CLOSEABLE;
      }
      if (p >= DvConstants.FRAME_IS_RESIZEABLE) {
        isRESIZEABLE = true;
        p = p - DvConstants.FRAME_IS_RESIZEABLE;
      }

      iframe = new JInternalFrame(title,
                                  isRESIZEABLE, isCLOSEABLE,
                                  isMAXIMIZEABLE, isICONIFIABLE);
      iframeType = frametype;
      iframeTitle = title;
   }
  }
