/*
 * @(#)src/classes/sov/com/ibm/jvm/dump/SdffConstants.java, ras, dumpviewer 1.9
 * ===========================================================================
 * IBM Confidential
 * OCO Source Materials
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001.
 * The source code for this program is not published or otherwise divested of
 * its trade secrets, irrespective of what has been deposited with the U.S.
 * Copyright office.
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 *
 *
 * ===========================================================================
 * Change activity:
 *
 * Reason  Date   Origin  Description
 * ------  ----   ------  ----------------------------------------------------
 * 36524  020502  PHILR:  New for feature 36524
 * 36524  130502  Philr   Some Constants moved to DvDump.java
 *
 * ===========================================================================
 * Module Information:
 *
 * DESCRIPTION:
 * ===========================================================================
 */

package com.ibm.jvm.dump;

 /**
  *  Description: Whats the purpose of this class
  *
  *
  *
  *
  *
  */
public class SdffConstants {

        // Segment types
        public static int  SEGMENT_SdffHead = 0;
        public static int  SEGMENT_Sdffprth = 1;
        public static int  SEGMENT_Sdffmmap = 2;
        public static int  SEGMENT_Sdffmem = 3;

        // Segment eyecatchers
        public static String SEGMENT_Eye_SdffHead = "SDFFHEAD";
        public static String SEGMENT_Eye_SdffPrth = "SDFFPRTH";
        public static String SEGMENT_Eye_SdffMmem = "SDFFMMAP";
        public static String SEGMENT_Eye_SdffMem  = "SDFFMEM ";
        public static String SEGMENT_Eye_SdffMeta = "METADATA";
        public static String SEGMENT_Eye_SdffAs = "ADDRSPC ";
        public static String SEGMENT_Eye_SdffProc = "PROCESS ";
        public static String SEGMENT_Eye_SdffThread = "THREAD  ";
        public static String SEGMENT_Eye_SdffEnvData = "ENVDATA ";
        public static String SEGMENT_Eye_SdffLoaded = "LOADED  ";
        public static String SEGMENT_Eye_SdffJstackTr = "JSTACKTR";
        public static String SEGMENT_Eye_SdffRegister = "REGISTER";




        // Versions
        public static int  VERSION1_0_0 = 100;

        // Note that the SDFFHEAD constants (architecture etc)
        // have now been moved into DvDump  - WPR



}
