package com.ibm.jvm.findroots;

import java.io.*;
import java.util.*;
import com.ibm.jvm.util.*;

/**
 *  This class does a print of the biggest dominator tree.
 *
 *  @author David Griffiths <tt>&lt;dave@prim.demon.co.uk&gt;</tt>
 */

public class PrintDomTree extends PrintBase {

    public static void main(String args[]) {
        PrintDomTree tree = new PrintDomTree();
        tree.start(args, "PrintDomTree");
    }

    void parseStart() {
        graph.idToIndex(0);
    }

    void parseEnd() {
        graph.printDomTree(this);
    }
}

