package com.ibm.jvm.svcdump;

import com.ibm.jvm.dump.*;

/**
 *  @author David Griffiths <tt>&lt;dave@prim.demon.co.uk&gt;</tt>
 */

public class Address extends DvAddress {

    long address;

    /* Start of DvAddress methods */

    public String convertToHex() {
        int addr = (int) address;
        String s = Integer.toHexString(addr);

        for (int i = s.length(); i < 8; i++)
            s = "0" + s;
        return s;
    }

    public long getAddressAsLong() {
        return address;
    }

    public void offsetBy(long offset) throws DvAddressException {
        address += offset;
    }

    public boolean equals(DvAddress x) {
        Address addr = (Address) x;

        return addr.address == address;
    }

    /* End of DvAddress methods */

    Address(int address) {
        this.address = address;
    }
}
