package com.ibm.jvm.svcdump;

import com.ibm.jvm.dump.*;

/**
 *  This class represents a memory range.
 */

public class MemRange extends DvMemRanges {

    DvAddress addressStart;
    int length;

    /* Start of DvMemRanges methods */

    public DvAddress addressStart() {
        return addressStart;
    }

    public long length() {
        return length;
    }

    /* End of DvMemRanges methods */

    MemRange(int startAddress, int length) {
        addressStart = new Address(startAddress);
        this.length = length;
    }
}
