package com.ibm.jvm.util;

import java.util.*;
import java.io.*;
import java.text.*;

public abstract class Base {

    static DateFormat df = DateFormat.getTimeInstance();

    public final static void log(String message) {
        Calendar c = Calendar.getInstance();
        String time = df.format(c.getTime());
        System.out.println(time + ": " + message);
    }

    static void assert(boolean condition) {
        if (!condition)
            throw new Error("assert failed!");
    }

    static String hex(int i) {
        return Integer.toHexString(i);
    }
}

