package com.ibm.jvm.util.html;

import java.util.*;

/**
 *  This class generates HTML output by loading and running the specified class.
 *
 *  @author David Griffiths <tt>&lt;dave@prim.demon.co.uk&gt;</tt>
 */

public class Generate extends Base {

    /**
     * The main method. The generator classname should be the first argument.
     */
    public static void main(String args[]) throws Exception {
        Class cl = Class.forName(args[0]);
        Source source = (Source)cl.newInstance();
        System.out.println(source.generate());
    }
}
