package com.ibm.jvm.zseries;


/**
 *  @author David Griffiths <tt>&lt;dave@prim.demon.co.uk&gt;</tt>
 */

public class BranchAndSave extends RXInstruction {

    BranchAndSave(Engine engine, int word) {
        super(engine, word);
    }

    public int nextAddress(int address) {
        if (engine.r15PointsToEntry && b2() == 15 && x2() == 0 && d2() > 0)
            return engine.getRegister(15) + d2();
        else
            return address + length();
    }

    public String mnemonic() {
        return "BAS ";
    }
}
