package com.ibm.jvm.zseries;


/**
 *  @author David Griffiths <tt>&lt;dave@prim.demon.co.uk&gt;</tt>
 */

public class Load extends RXAssignInstruction {

    Load(Engine engine, int word) {
        super(engine, word);
        try {
            int address = address();
            int value = engine.ras.readInt(address);

            engine.putRegister(r1(), value);
        } catch (Exception e) {}
    }

    public String mnemonic() {
        return "L   ";
    }
}
