package com.ibm.jvm.zseries;


/**
 *  @author David Griffiths <tt>&lt;dave@prim.demon.co.uk&gt;</tt>
 */

public abstract class RIInstruction extends Instruction {

    int word;

    RIInstruction() {}

    public int length() {
        return 4;
    }

    int r1() {
        return (word >> 20) & 0xf;
    }

    short i2() {
        return (short) word;
    }

    public String toString() {
        return mnemonic() + "   $r" + r1() + ", x'" + hx(i2()) + "'";
    }
}
