package com.ibm.jvm.zseries;


/**
 *  @author David Griffiths <tt>&lt;dave@prim.demon.co.uk&gt;</tt>
 */

public class SetFPC extends Instruction {

    int word;

    SetFPC(Engine engine, int word) {
        this.engine = engine;
        this.word = word;
    }

    public int length() {
        return 4;
    }

    int r1() {
        return (word >> 4) & 0xf;
    }

    public String toString() {
        return "SFPC   $r" + r1();
    }

    public String mnemonic() {
        return null;
    }
}
