package com.ibm.jvm.zseries;


/**
 *  @author David Griffiths <tt>&lt;dave@prim.demon.co.uk&gt;</tt>
 */

public class Unknown extends Instruction {

    int word;

    Unknown(Engine engine, int word) {
        this.engine = engine;
        this.word = word;
    }

    public int length() {
        return 4;
    }

    public String mnemonic() {
        return null;
    }

    public String toString() {
        return "Unknown: " + hex(word);
    }
}
