/*
 * @(#)src/classes/sov/com/ibm/jvm/dump/DvLoaded.java, ras, dumpviewer 1.8
 * ===========================================================================
 * IBM Confidential
 * OCO Source Materials
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001.
 * The source code for this program is not published or otherwise divested of
 * its trade secrets, irrespective of what has been deposited with the U.S.
 * Copyright office.
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 *
 *
 * ===========================================================================
 * Change activity:
 *
 * Reason  Date   Origin  Description
 * ------  ----   ------  ----------------------------------------------------
 * 36524  020502  PHILR:  New for feature 36524
 *
 *
 * ===========================================================================
 * Module Information:
 *
 * DESCRIPTION:
 * ===========================================================================
 */

package com.ibm.jvm.dump;


 /**
  *  Description: Whats the purpose of this class
  *
  *
  *
  *
  *
  */
public abstract class DvLoaded {

 public abstract DvModule[] getModules();
 public abstract byte[] getMetadata(); // {return null;}

 /**
  *  Nicely format the loaded data
  *
  */
 public String toString() {
    String retString = ("\nLoaded data\n"+
                        "==============\n");

    String sWork;
    byte[] m = this.getMetadata();

    if (null != m) {
        sWork = new String(m);
        retString +="\n  Metadata: "+sWork+"\n";
    }


    DvModule[] theModules = this.getModules();


    if ( null != theModules) {
        for (int i=0;i<theModules.length;i++) {
            retString += ("\n" + theModules[i].toString());
        }
    }
    else {
        retString += "\n\t ---- no module information available ----\n";
    }

    //System.out.println(retString);
    return retString;

 }
}
