/*
 * @(#)src/classes/sov/com/ibm/jvm/dump/ExRegister.java, ras, dumpviewer 1.1
 * ===========================================================================
 * IBM Confidential
 * OCO Source Materials
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001.
 * The source code for this program is not published or otherwise divested of
 * its trade secrets, irrespective of what has been deposited with the U.S.
 * Copyright office.
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 *
 *
 * ===========================================================================
 * Change activity:
 *
 * Reason  Date   Origin  Description
 * ------  ----   ------  ----------------------------------------------------
 * 41452  210502 nmasson  New

 *
 * ===========================================================================
 * Module Information:
 *
 * DESCRIPTION:
 * ===========================================================================
 */
package com.ibm.jvm.dump;

import java.io.*;
import java.util.*;

/**
 */

class ExRegister {
    HashMap register;

    ExRegister() {
	register = new HashMap();
    }

    ExRegister(HashMap register) {
	this.register = register;
    }

    void printSdff(Sdff sdff) throws IOException {
        long start = sdff.getFilePointer();
        sdff.writeLong(0);
        sdff.writeBytes(new String("REGISTER"));
        sdff.writeLong(register.size());	// Number of registers
        sdff.writeLong(4l);		// #bytes per register

	String name;
	Long value;
	Iterator list = register.keySet().iterator();
	while(list.hasNext()) {
	    name = (String) list.next();
	    value = (Long) register.get(name);
	    sdff.writeBytes(name);
	    sdff.writeLong(value.longValue());
	}

        // Write Metadata
        sdff.writeLong(-1l);
        sdff.printLength(start);
    }
}
	
