package com.ibm.jvm.findroots;

/**
 *  @author David Griffiths <tt>&lt;dave@prim.demon.co.uk&gt;</tt>
 */

public interface HeapdumpListener {
    void stringDump(String string);
    void objectDump(int id, int classStringIndex, int flags, int size, int refs[]);
    void classDump(int id, int nameIndex, int flags, int size, int refs[]);
    void primitiveArrayDump(int id, int type, int flags, int size);
    void objectArrayDump(int id, int classStringIndex, int flags, int size, int refs[]);
}
