package com.ibm.jvm.findroots;


/**
 *  @author David Griffiths <tt>&lt;dave@prim.demon.co.uk&gt;</tt>
 */

public interface HprofContentHandler {
    public void header(String header);
    public void utf8(int id, String utf8);
    public void loadClass(int objectId, String name);
    public void classDump(int objectId, int superId, int staticFieldIds[], int instanceFieldTypes[]);
    public void objectArrayDump(int objectId, int classId, int elements[]);
    public void primitiveArrayDump(int objectId, int type, int size);
    public void instanceDump(int objectId, int classId, short body[]);
    public void beginHeapDump();
    public void endHeapDump();
    public void error(String msg);
}
