package com.ibm.jvm.zseries;


/**
 *  @author David Griffiths <tt>&lt;dave@prim.demon.co.uk&gt;</tt>
 */

public class LoadAddressRelativeLong extends Instruction {

    int r1;
    int i2;
    int address;

    LoadAddressRelativeLong(Engine engine, int address, int r1, int i2) {
        this.engine = engine;
        this.r1 = r1;
        this.i2 = i2;
        this.address = address;
    }

    public int length() {
        return 6;
    }

    public String mnemonic() {
        return null;
    }

    public String toString() {
        return "LARL   $r" + r1 + ", 0x" + hex(address + (i2 * 2));
    }
}
