package com.ibm.jvm.zseries;


/**
 *  @author David Griffiths <tt>&lt;dave@prim.demon.co.uk&gt;</tt>
 */

public class SupervisorCall extends Instruction {

    short word;

    SupervisorCall(Engine engine, int word) {
        this.engine = engine;
        this.word = (short) (word >> 16);
    }

    public int length() {
        return 2;
    }

    public String toString() {
        return "SVC    x'" + hx(word) + "'";
    }

    public String mnemonic() {
        return null;
    }
}
